
textures/ospdm8/ospdm8_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	q3map_sun .7 .7 .7 300 248 73
	q3map_surfacelight 130
	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/ospdm8/sky/sky1.tga
	skyparms - 512 -
	{
		map textures/ospdm8/sky/sky1.tga
		tcMod scale 3 2
		tcMod scroll 0.005 0.005
		depthWrite
	}
	{
		map textures/ospdm8/sky/sky2.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.1 0.1
	}
}

textures/ospdm8/jalt2o_clockgrate
{
	qer_editorimage textures/ospdm8/floor/clock_ospgrate.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	{
		map textures/ospdm8/floor/clock_ospgrate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ospdm8/jumpadfloor_mrclean
{
	surfaceparm nodamage
	q3map_lightimage textures/ospdm8/floor/mrcleanground_jumpad_256.tga
	q3map_surfacelight 500
	{
		map textures/ospdm8/floor/mrcleanground_jumpad_256.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/ospdm8/jumpadfloor
{
	surfaceparm nodamage
	q3map_lightimage textures/ospdm8/floor/suelo2dark_jumpad_256.tga
	q3map_surfacelight 400
	{
		map textures/ospdm8/floor/suelo2dark_jumpad_256.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/ospdm8/crackedmark
{
	qer_editorimage textures/ospdm8/floor/cracked_decal.tga
	nopicmip
	polygonOffset
	{
		clampmap textures/ospdm8/floor/cracked_decal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identityLighting
		alphaGen vertex
	}
}

textures/ospdm8/metal/teletrim
{
	nopicmip
	surfaceparm nomarks
	qer_editorimage textures/ospdm8/metal/teletrim01.tga
	{
		map textures/ospdm8/metal/teletrim01.tga
	}
	{
		map textures/ospdm8/metal/teletrim01_blend.tga
		blendfunc add
		tcMod scroll 0 0.5
	}
	{
		map textures/ospdm8/metal/teletrim01.tga
		alphaFunc LT128
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

textures/ospdm8/teleshad
{
	cull none
	q3map_surfacelight 30
	qer_editorimage textures/sfx/fireswirl2blue.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	nopicmip
	{
		map textures/sfx/hologirl.tga
		blendfunc add
		tcmod scale .25 .25
		rgbGen wave sin .25 .25 0 2.5
		tcMod scroll 0.25 0.5
	}
	{
		map textures/sfx/hologirl2.tga
		blendfunc add
		tcmod scale .25 .25
		rgbGen wave sin .25 .25 0.25 2.5
		tcMod scroll 0.25 0.5
	}
	{
		map textures/sfx/portalfog.tga
		blendFunc GL_dst_color GL_one
		rgbGen wave sin 1 0.75 0.75 1
	}
	{
		map textures/sfx/fireswirl2blue.tga
		blendFunc add
		tcmod scale .25 .25
		tcMod rotate -8
		tcMod scroll 0.05 0.025
		rgbGen wave sin 0.2 0.2 0.0 2
	}
	{
		map textures/sfx/fireswirl2blue.tga
		blendFunc add
		tcmod scale -.25 -.25
		tcMod rotate 8
		tcMod scroll 0.025 0.05
		rgbGen wave sin 0.2 0.2 0.2 2
	}
}

textures/ospdm8/liquids/water1
{
	qer_editorimage textures/ospdm8/liquids/water2.tga
	q3map_globaltexture
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 25
	cull none
	tesssize 64
	deformVertexes wave 64 sin 1 1 0.25 0.6
	{
		map textures/ospdm8/liquids/water2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod scroll .02 .01
	}
	{
		map textures/ospdm8/liquids/water1.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.25 -.25
		tcmod scroll .02 .02
	}
	{
		map textures/ospdm8/liquids/pooltint.tga
		blendFunc filter
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .02 .01
	}
}

textures/ospdm8/lavahell_600
{
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	tesssize 128
	deformVertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/ospdm8/lavahell_stronglight
{
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 4500
	q3map_lightsubdivide 64
	cull disable
	tesssize 64
	deformVertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/liquids/lavahell_static_2k
{
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	cull disable
	tesssize 32
	{
		map textures/liquids/lavahell.tga
		tcMod scroll .02 .001
	}
}

textures/gothic_light/odm8_ironcrosslt2_verysoft
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/gothic_light/odm8_ironcrosslt2_soft
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 7000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/gothic_light/odm8_ironcrosslt2_medium
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 9000
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/gothic_light/odm8_ironcrosslt2_strong
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 12000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ospdm8/brokenlight_verysoft
{
	qer_editorimage textures/ospdm8/light/broken_light.tga
	q3map_lightimage textures/ospdm8/light/broken_light.blend.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ospdm8/light/broken_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ospdm8/light/broken_light.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ospdm8/brokenlight_soft
{
	qer_editorimage textures/ospdm8/light/broken_light.tga
	q3map_lightimage textures/ospdm8/light/broken_light.blend.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ospdm8/light/broken_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ospdm8/light/broken_light.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ospdm8/brokenlight_medium
{
	qer_editorimage textures/ospdm8/light/broken_light.tga
	q3map_lightimage textures/ospdm8/light/broken_light.blend.tga
	q3map_surfacelight 9000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ospdm8/light/broken_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ospdm8/light/broken_light.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ospdm8/brokenlight_strong
{
	qer_editorimage textures/ospdm8/light/broken_light.tga
	q3map_lightimage textures/ospdm8/light/broken_light.blend.tga
	q3map_surfacelight 13000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ospdm8/light/broken_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ospdm8/light/broken_light.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ospdm8/clavos_light_verysoft
{
	qer_editorimage textures/ospdm8/metal/clavosl_light_v.tga
	q3map_lightimage textures/ospdm8/light/clavos_light_color.tga
	q3map_surfacelight 1500
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ospdm8/metal/clavosl_light_v.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ospdm8/metal/clavosl_light_v_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ospdm8/clavos_light_soft
{
	qer_editorimage textures/ospdm8/metal/clavosl_light_v.tga
	q3map_lightimage textures/ospdm8/light/clavos_light_color.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ospdm8/metal/clavosl_light_v.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ospdm8/metal/clavosl_light_v_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ospdm8/clavos_light_medium
{
	qer_editorimage textures/ospdm8/metal/clavosl_light_v.tga
	q3map_lightimage textures/ospdm8/light/clavos_light_color.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ospdm8/metal/clavosl_light_v.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ospdm8/metal/clavosl_light_v_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ospdm8/clavos_light_strong
{
	qer_editorimage textures/ospdm8/metal/clavosl_light_v.tga
	q3map_lightimage textures/ospdm8/light/clavos_light_color.tga
	q3map_surfacelight 12000
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ospdm8/metal/clavosl_light_v.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ospdm8/metal/clavosl_light_v_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
